Skip to content
For the complete documentation index, see llms.txt. Markdown versions of documentation pages are available by appending .md to the page URL.
Primary navigation

Delete a video

DELETE
/videos/{video_id}

Permanently delete a completed or failed video and its stored assets.

Path Parameters
video_id: string
Returns
id: string

Identifier of the deleted video.

deleted: boolean

Indicates that the video resource was deleted.

object: "video.deleted"

The object type that signals the deletion response.

Delete a video

curl https://api.tpg-oai.studydeckedu.com/v1/videos/$VIDEO_ID \
    -X DELETE \
    -H "Authorization: Bearer $OPENAI_API_KEY"
{
  "id": "video_123",
  "object": "video.deleted",
  "deleted": true
}
Returns Examples
{
  "id": "video_123",
  "object": "video.deleted",
  "deleted": true
}